Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/marco: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:45:09 +0000

---
 testing/marco/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/marco/APKBUILD
diff --git a/testing/marco/APKBUILD b/testing/marco/APKBUILD
new file mode 100644
index 0000000..0d2dd35
--- /dev/null
+++ b/testing/marco/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=marco
+pkgver=1.9.3
+pkgrel=0
+pkgdesc="MATE window manager"
+url="https://github.com/mate-desktop/marco"
+arch="all"
+license="GPL2"
+depends="mate-common yelp-tools"
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool glib-dev
+	intltool libxcomposite-dev libxcursor-dev libgtop-dev
+	libcanberra-dev zenity itstool gobject-introspection-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || retrun 1
+	make CFLAGS='-D_GNU_SOURCE' || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="2939e2b4540943d26f254e9c45c4869e  marco-1.9.3.tar.xz"
+sha256sums="be03636784b5a99c683f2de886485dc5b24ce040628f4e83155997922aa76329  marco-1.9.3.tar.xz"
+sha512sums="a6bb8d8e4adc6e13c6b969eaec9a9326d4fa4b56ee78d3bf0939085fcbd333eec0b0d1a34b4b36a99445a9512129d7a4546d333e65c1b5e891109933341dc699  marco-1.9.3.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:45:09 UTC